Subject: [RFC] net: phy: add shutdown hook to struct phy_driver

From: Jisheng Zhang <[email-masked]>
Date: Wed, 30 Sep 2020 17:47:43 +0800

Hi,

A GE phy supports pad isolation which can save power in WOL mode. But once the
isolation is enabled, the MAC can't send/receive pkts to/from the phy because
the phy is "isolated". To make the PHY work normally, I need to move the
enabling isolation to suspend hook, so far so good. But the isolation isn't
enabled in system shutdown case, to support this, I want to add shutdown hook
to net phy_driver, then also enable the isolation in the shutdown hook. Is
there any elegant solution?

Or we can break the assumption: ethernet can still send/receive pkts after
enabling WoL, no?

Thanks in advance,
Jisheng